@echo off

set APP_HOME=%~dp0\..
set DIR_LIB=%APP_HOME%\lib
set DIR_CONFIG=%APP_HOME%\config

set CLASSPATH=%APP_HOME%;%DIR_CONFIG%
set CLASSPATH=%CLASSPATH%;%DIR_LIB%/syslog-7.3.0-SNAPSHOT.jar

set NAME="-Dapp.name=SyslogViewer"
set CONFIG="-DSyslogViewer.config=%DIR_CONFIG%/syslog.xml"
set BOOT=-Xbootclasspath/p:%APP_HOME%

java %NAME% %CONFIG% %BOOT% -cp %CLASSPATH% jp.co.sds_corp.syslog.viewer.SyslogViewer
